# rfc1751MnemonicToKey | xrpl
Documentation for xrpl

# Function rfc1751MnemonicToKey

- rfc1751MnemonicToKey(english: string): Buffer

- Converts an english mnemonic following rippled's modified RFC1751 standard to an encoded hex secret.

  ### Throws

  Error if the parity after decoding does not match.

  ### Returns

  A Buffer containing an encoded secret.

  #### Parameters

  - ##### english: string

    A mnemonic generated using ripple's modified RFC1751 standard.

  #### Returns Buffer

  - Defined in packages/xrpl/src/Wallet/rfc1751.ts:100

Generated using TypeDoc